import { BehaviorSubject } from 'rxjs';
export declare class BbAvatar {
    size: number;
    state$: BehaviorSubject<string>;
    private _src;
    private _title;
    private _initials;
    private _color;
    private _backgroundColor;
    set src(value: string);
    set title(value: string);
    set tintColor(value: string);
    get src(): string;
    get color(): string;
    get backgroundColor(): string;
    get title(): string;
    get initials(): string;
    private setColors;
    private toRGb;
    private getInitials;
    private parseColorFormat;
    private logWarning;
}
